Package org.eclipse.rdf4j.common.logging.file.logback

## Class StackTracePatternLayout

- java.lang.Object
- - ch.qos.logback.core.spi.ContextAwareBase
  - - ch.qos.logback.core.LayoutBase<E>
    - - ch.qos.logback.core.pattern.PatternLayoutBase<ch.qos.logback.classic.spi.ILoggingEvent>
      - - ch.qos.logback.classic.PatternLayout
        - - org.eclipse.rdf4j.common.logging.file.logback.StackTracePatternLayout

- All Implemented Interfaces:
    `ch.qos.logback.core.Layout<ch.qos.logback.classic.spi.ILoggingEvent>`, `ch.qos.logback.core.spi.ContextAware`, `ch.qos.logback.core.spi.LifeCycle`

      public class StackTracePatternLayout
      extends ch.qos.logback.classic.PatternLayout

  PatternLayout that also prints stack traces.
  Author:
    Herko ter Horst

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static Pattern` | `DEFAULT_PARSER_PATTERN` |

    - ### Fields inherited from class ch.qos.logback.classic.PatternLayout

      `CONVERTER_CLASS_TO_KEY_MAP, DEFAULT_CONVERTER_MAP, defaultConverterMap, HEADER_PREFIX`

    - ### Fields inherited from class ch.qos.logback.core.pattern.PatternLayoutBase

      `outputPatternAsHeader, postCompileProcessor`

    - ### Fields inherited from class ch.qos.logback.core.LayoutBase

      `started`

    - ### Fields inherited from class ch.qos.logback.core.spi.ContextAwareBase

      `context`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `StackTracePatternLayout()` | Construct a StacktracePatternLayout with the default conversion pattern.
    `StackTracePatternLayout​(String conversionPattern)` | Construct a StacktracePatternLayout with the specified conversion pattern.

  - ### Method Summary

    - ### Methods inherited from class ch.qos.logback.classic.PatternLayout

      `doLayout, getDefaultConverterMap, getPresentationHeaderPrefix`

    - ### Methods inherited from class ch.qos.logback.core.pattern.PatternLayoutBase

      `getEffectiveConverterMap, getInstanceConverterMap, getPattern, getPresentationHeader, isOutputPatternAsHeader, setContextForConverters, setOutputPatternAsHeader, setPattern, setPostCompileProcessor, start, toString, writeLoopOnConverters`

    - ### Methods inherited from class ch.qos.logback.core.LayoutBase

      `getContentType, getContext, getFileFooter, getFileHeader, getPresentationFooter, isStarted, setContext, setFileFooter, setFileHeader, setPresentationFooter, setPresentationHeader, stop`

    - ### Methods inherited from class ch.qos.logback.core.spi.ContextAwareBase

      `addError, addError, addInfo, addInfo, addStatus, addWarn, addWarn, getDeclaredOrigin, getStatusManager`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface ch.qos.logback.core.spi.ContextAware

      `addError, addError, addInfo, addInfo, addStatus, addWarn, addWarn`

- - ### Field Detail

    - #### DEFAULT_PARSER_PATTERN

          public static final Pattern DEFAULT_PARSER_PATTERN

  - ### Constructor Detail

    - #### StackTracePatternLayout

          public StackTracePatternLayout()

      Construct a StacktracePatternLayout with the default conversion pattern.

    - #### StackTracePatternLayout

          public StackTracePatternLayout​(String conversionPattern)

      Construct a StacktracePatternLayout with the specified conversion pattern.
      Parameters:
        `conversionPattern` - the conversion pattern to use
      See Also:
        Information on Log4J conversion patterns.